Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_custom_page_set = client.waap.custom_page_sets.get(
0,
)
print(waap_custom_page_set.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapCustomPageSet, err := client.Waap.CustomPageSets.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapCustomPageSet.ID)
}curl --request GET \
--url https://api.gcore.com/waap/v1/custom-page-sets/{set_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/custom-page-sets/{set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"domains": [
123
],
"block": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"block_csrf": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"captcha": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>",
"error": "<string>"
},
"cookie_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
},
"handshake": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>"
},
"javascript_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
}
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Custom Page Sets
Retrieve a custom page set
Retrieve a custom page set based on the provided ID
GET
/
waap
/
v1
/
custom-page-sets
/
{set_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_custom_page_set = client.waap.custom_page_sets.get(
0,
)
print(waap_custom_page_set.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapCustomPageSet, err := client.Waap.CustomPageSets.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapCustomPageSet.ID)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The ID of the custom page set
Response
Successful Response
Name of the custom page set
Required string length:
1 - 50The ID of the custom page set
List of domain IDs that are associated with this page set
The domain ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I